Replace Mappings
curl --request PUT \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/imports/{importId}/mappings \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "<string>",
"expectedVersion": 123,
"columnMappings": {
"mappings": [
{
"sourceColumnKey": "<string>",
"target": {
"kind": "system"
},
"rationale": "<string>",
"excluded": true,
"manuallyMapped": true
}
]
},
"valueMappings": {
"mappings": [
{
"kind": "category",
"sourceValue": "<string>",
"categoryId": "<string>",
"rationale": "<string>",
"manuallyMapped": true
}
],
"companyUpdates": [
{}
],
"allItemsCategoryId": "<string>"
}
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/imports/{importId}/mappings"
payload = {
"projectId": "<string>",
"expectedVersion": 123,
"columnMappings": { "mappings": [
{
"sourceColumnKey": "<string>",
"target": { "kind": "system" },
"rationale": "<string>",
"excluded": True,
"manuallyMapped": True
}
] },
"valueMappings": {
"mappings": [
{
"kind": "category",
"sourceValue": "<string>",
"categoryId": "<string>",
"rationale": "<string>",
"manuallyMapped": True
}
],
"companyUpdates": [{}],
"allItemsCategoryId": "<string>"
}
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: '<string>',
expectedVersion: 123,
columnMappings: {
mappings: [
{
sourceColumnKey: '<string>',
target: {kind: 'system'},
rationale: '<string>',
excluded: true,
manuallyMapped: true
}
]
},
valueMappings: {
mappings: [
{
kind: 'category',
sourceValue: '<string>',
categoryId: '<string>',
rationale: '<string>',
manuallyMapped: true
}
],
companyUpdates: [{}],
allItemsCategoryId: '<string>'
}
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/imports/{importId}/mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversation": {
"id": "<string>",
"title": "<string>",
"currentRun": null
},
"takeoff": {},
"sourceSelection": {},
"columnMappings": {},
"valueMappings": {},
"reviewDraft": {},
"publishResult": {},
"id": "<string>",
"target": {
"kind": "<string>",
"projectId": "<string>"
},
"status": "awaiting_upload",
"kind": "project_items",
"version": 123,
"analysisRevision": 123,
"document": {
"id": "<string>",
"displayName": "<string>",
"mimeType": "<string>",
"sizeBytes": 123,
"status": "pending",
"confirmedAt": "<string>",
"extractionDispatchedAt": "<string>",
"safeErrorCode": "<string>"
},
"sourceSnapshot": {},
"progress": {
"phase": "analysis",
"safeErrorCode": "<string>"
},
"counts": {
"blockingIssues": 123,
"warningIssues": 123
},
"issueSummary": {
"blocking": 123,
"warning": 123
},
"publishable": true,
"createdAt": "<string>",
"updatedAt": "<string>"
}Data Imports
Replace Mappings
PUT
/
v1
/
workspaces
/
{workspaceId}
/
assistant
/
imports
/
{importId}
/
mappings
Replace Mappings
Path Parameters
Pattern:
^[1-9]\d*$Pattern:
^[1-9]\d*$Body
application/json
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
awaiting_upload, queued, analyzing, review, publishing, published, failed, cancelled Available options:
project_items, takeoff Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I